org.eclipse.oomph.targlets.core

## Interface ITargletContainerDescriptor

-     public interface ITargletContainerDescriptor

  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ITargletContainerDescriptor.UpdateProblem`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROP_TARGLET_CONTAINER_DIGEST`
    `static String` | `PROP_TARGLET_CONTAINER_ID`
    `static String` | `PROP_TARGLET_CONTAINER_WORKSPACE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BundlePool` | `getBundlePool()`
    `String` | `getID()`
    `File` | `getPoolLocation()`
    `ITargletContainerDescriptor.UpdateProblem` | `getUpdateProblem()`
    `String` | `getWorkingDigest()`
    `Profile` | `getWorkingProfile()`
    `String` | `getWorkingProfileID()`
    `Collection<WorkspaceIUInfo>` | `getWorkingProjects()`

- - ### Field Detail

    - #### PROP_TARGLET_CONTAINER_WORKSPACE

          static final String PROP_TARGLET_CONTAINER_WORKSPACE

      See Also:
        Constant Field Values

    - #### PROP_TARGLET_CONTAINER_ID

          static final String PROP_TARGLET_CONTAINER_ID

      See Also:
        Constant Field Values

    - #### PROP_TARGLET_CONTAINER_DIGEST

          static final String PROP_TARGLET_CONTAINER_DIGEST

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getID

          String getID()

    - #### getPoolLocation

          File getPoolLocation()

    - #### getWorkingDigest

          String getWorkingDigest()

    - #### getWorkingProjects

          Collection<WorkspaceIUInfo> getWorkingProjects()

    - #### getUpdateProblem

          ITargletContainerDescriptor.UpdateProblem getUpdateProblem()

    - #### getBundlePool

          BundlePool getBundlePool()

    - #### getWorkingProfileID

          String getWorkingProfileID()

    - #### getWorkingProfile

          Profile getWorkingProfile()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html